[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolution.GetBitmap

Gets the bitmap for an image drawn using the specified drawing effect.

## Declaration

Source position: imglist.pp line 154

`public procedure TCustomImageListResolution.GetBitmap(`
`Index: Integer;`
`Image: TCustomBitmap`
`); overload; procedure TCustomImageListResolution.GetBitmap(`
`Index: Integer;`
`Image: TCustomBitmap;`
`AEffect: TGraphicsDrawEffect`
`); overload;`

## Arguments

`Index` |  | Ordinal position for the image in the list.
`Image` |  | Bitmap updated in the method.

## Arguments

`Index` |  | Ordinal position for the image in the list.
`Image` |  | Bitmap updated in the method.
`AEffect` |  | Drawing effect applied to the bitmap.

## Description

GetBitmap is an overloaded procedure used to a bitmap for the specified image in the resolution.

Index contains the ordinal position for the image requested in the method.

Image is the TCustomBitmap class instance where the bitmap for the image is stored.

AEffect contains a value from the TGraphicsDrawEffect enumeration that indicates a drawing effect applied to the raw image data, and stored in the bitmap. Values in AEffect determine whether the image is rendered normally, as a disabled (or grayed) image, highlighted, shadowed, or as a monochrome bitmap mask.

GetBitmap creates a temporary TRawImage class instance that is used to get the 32-bit RGBA raw image data, and to apply the drawing effect in AEffect. For platforms or widgetsets that do not support 32-bit image data, a device image is used to get the pixel content for the image.

An overloaded variant of the method is provided which omits the drawing effect argument, and assumes the image is rendered in the "normal" display state.

No actions are performed in the method when Index contains an invalid position in the list of images, or when Image has not been assigned (contains Nil).